Subject: Re: bug#65889: texlive-acronyms is missing dependencies

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 13 Sep 2023 14:01:04 +0200

Hello,

Daniel Meißner via Bug reports for GNU Guix <[email-masked]> writes:

> The following MWE does not compile with pdflatex using the modular
> texlive packages:
>
> --8<---------------cut here---------------start------------->8---
> \documentclass{article}
> \usepackage{acronym}
>
> \begin{document}
> \end{document}
> --8<---------------cut here---------------end--------------->8---
>
>
> It yields the following:
>
> --8<---------------cut here---------------start------------->8---
> $ guix shell texlive-scheme-basic texlive-acronym -- pdflatex acronym-mwe.tex
> This is pdfTeX, Version 3.141592653-2.6-1.40.25 (TeX Live 2023/GNU Guix) (preloaded format=pdflatex)
>  restricted \write18 enabled.
> entering extended mode
> (./acronym-mwe.tex
> LaTeX2e <2022-11-01> patch level 1
> L3 programming layer <2023-02-22> (/gnu/store/v4m2fj7xhpfs7k5l97p238j1bc2ccppf-profile/share/texmf-dist/tex/latex/base/article.cls
> Document Class: article 2022/07/02 v1.4n Standard LaTeX document class
> (/gnu/store/v4m2fj7xhpfs7k5l97p238j1bc2ccppf-profile/share/texmf-dist/tex/latex/base/size10.clo)) (/gnu/store/v4m2fj7xhpfs7k5l97p238j1bc2ccppf-profile/share/texmf-dist/tex/latex/acronym/acronym.sty
>
> ! LaTeX Error: File `suffix.sty' not found.
>
> Type X to quit or <RETURN> to proceed,
> or enter new name. (Default extension: sty)
>
> Enter file name: 
> --8<---------------cut here---------------end--------------->8---
>
> I think this is due to missing dependencies suffix and xstring which are
> required to be installed for acronym to work.  On page 10 of the package
> docs [1] it reads
>
> \RequiredPackage{suffix, xstring}
>
> 1: https://ftp.gwdg.de/pub/ctan/macros/latex/contrib/acronym/acronym.pdf
>
> I can provide a patch if desired to add texlive-xstring and
> texlive-bigfoot to texlive-acronym’s (propagated-)inputs.  The suffix
> package appears to be bundled with texlive-bigfoot.  Do we want to
> unbundle it or simply add texlive-bigfoot to the (propagated-)inputs?

We use dependencies specified in TeX Live itself (as in "texlive.tlpdb"
file), for sanity reasons. There are 4000+ packages; I think it is not
reasonable to grep through their output to find the unspecified
dependencies. It will also be terrible when using some updater, now this
tool can remove propagated inputs.

Most dependencies issues are resolved installing collections of
packages, such as `texlive-collection-latexrecommended'. As a data
point, I only resolve dependencies "manually" when they would otherwise
require me to install `texlive-collection-latexextra', which is just too
big.

AFAIC, I suggest to not fix this, as this is not worth the trouble.

Regards,
-- 
Nicolas Goaziou